API Documentation
Kuali Research REST APIs - Common
Research Common ¶
Answer Headers ¶
Get Answer Headers by KeyGET/research-common/api/v1/answer-headers/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"completed": "(val)",
"_primaryKey": "(val)"
}Get All Answer HeadersGET/research-common/api/v1/answer-headers/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"completed": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"completed": "(val)",
"_primaryKey": "(val)"
}
]Get All Answer Headers with FilteringGET/research-common/api/v1/answer-headers/
Example URI
- id
string(optional)- moduleItemCode
string(optional)- moduleItemKey
string(optional)- moduleSubItemCode
string(optional)- moduleSubItemKey
string(optional)- questionnaireId
string(optional)- completed
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"completed": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"completed": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Answer HeadersGET/research-common/api/v1/answer-headers/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"moduleItemCode",
"moduleItemKey",
"moduleSubItemCode",
"moduleSubItemKey",
"questionnaireId",
"completed"
],
"primaryKey": "id"
}Get Blueprint API specification for Answer HeadersGET/research-common/api/v1/answer-headers/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Answer Headers.md"
transfer-encoding: chunkedUpdate Answer HeadersPUT/research-common/api/v1/answer-headers/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"completed": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Answer HeadersPUT/research-common/api/v1/answer-headers/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"completed": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"completed": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Answer HeadersPATCH/research-common/api/v1/answer-headers/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"completed": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"completed": "(val)",
"_primaryKey": "(val)"
}Insert Answer HeadersPOST/research-common/api/v1/answer-headers/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"completed": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"completed": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Answer HeadersPOST/research-common/api/v1/answer-headers/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"completed": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"completed": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"completed": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"moduleItemCode": "(val)",
"moduleItemKey": "(val)",
"moduleSubItemCode": "(val)",
"moduleSubItemKey": "(val)",
"questionnaireId": "(val)",
"completed": "(val)",
"_primaryKey": "(val)"
}
]Delete Answer Headers by KeyDELETE/research-common/api/v1/answer-headers/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Answer HeadersDELETE/research-common/api/v1/answer-headers/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Answer Headers with MatchingDELETE/research-common/api/v1/answer-headers/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)- moduleItemCode
string(optional)- moduleItemKey
string(optional)- moduleSubItemCode
string(optional)- moduleSubItemKey
string(optional)- questionnaireId
string(optional)- completed
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Account Types ¶
Get Account Types by KeyGET/research-common/api/v1/account-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Account TypesGET/research-common/api/v1/account-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Account Types with FilteringGET/research-common/api/v1/account-types/
Example URI
- accountTypeCode
string(optional)Account Type Code. Maximum length is 22.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Account TypesGET/research-common/api/v1/account-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"accountTypeCode",
"description"
],
"primaryKey": "accountTypeCode"
}Get Blueprint API specification for Account TypesGET/research-common/api/v1/account-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Account Types.md"
transfer-encoding: chunkedUpdate Account TypesPUT/research-common/api/v1/account-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Account TypesPUT/research-common/api/v1/account-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Account TypesPATCH/research-common/api/v1/account-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Body
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Account TypesPOST/research-common/api/v1/account-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}201Body
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Account TypesPOST/research-common/api/v1/account-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"accountTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Account Types by KeyDELETE/research-common/api/v1/account-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Account TypesDELETE/research-common/api/v1/account-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Account Types with MatchingDELETE/research-common/api/v1/account-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- accountTypeCode
string(optional)Account Type Code. Maximum length is 22.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Activity Types ¶
Get Activity Types by KeyGET/research-common/api/v1/activity-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"_primaryKey": "(val)"
}Get All Activity TypesGET/research-common/api/v1/activity-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"_primaryKey": "(val)"
}
]Get All Activity Types with FilteringGET/research-common/api/v1/activity-types/
Example URI
- code
string(optional)Activity Type. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
- higherEducationFunctionCode
string(optional)Higher education function code. Maximum length is 20.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Activity TypesGET/research-common/api/v1/activity-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"code",
"description",
"higherEducationFunctionCode"
],
"primaryKey": "code"
}Get Blueprint API specification for Activity TypesGET/research-common/api/v1/activity-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Activity Types.md"
transfer-encoding: chunkedUpdate Activity TypesPUT/research-common/api/v1/activity-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Activity TypesPUT/research-common/api/v1/activity-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Activity TypesPATCH/research-common/api/v1/activity-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"_primaryKey": "(val)"
}204Body
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"_primaryKey": "(val)"
}Insert Activity TypesPOST/research-common/api/v1/activity-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"_primaryKey": "(val)"
}201Body
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Activity TypesPOST/research-common/api/v1/activity-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"higherEducationFunctionCode": "(val)",
"_primaryKey": "(val)"
}
]Delete Activity Types by KeyDELETE/research-common/api/v1/activity-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Activity TypesDELETE/research-common/api/v1/activity-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Activity Types with MatchingDELETE/research-common/api/v1/activity-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- code
string(optional)Activity Type. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
- higherEducationFunctionCode
string(optional)Higher education function code. Maximum length is 20.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Answers ¶
Get Answers by KeyGET/research-common/api/v1/answers/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"answerHeaderId": "(val)",
"questionId": "(val)",
"questionnaireQuestionsId": "(val)",
"questionNumber": "(val)",
"answerNumber": "(val)",
"answer": "(val)",
"_primaryKey": "(val)"
}Get All AnswersGET/research-common/api/v1/answers/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"answerHeaderId": "(val)",
"questionId": "(val)",
"questionnaireQuestionsId": "(val)",
"questionNumber": "(val)",
"answerNumber": "(val)",
"answer": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"answerHeaderId": "(val)",
"questionId": "(val)",
"questionnaireQuestionsId": "(val)",
"questionNumber": "(val)",
"answerNumber": "(val)",
"answer": "(val)",
"_primaryKey": "(val)"
}
]Get All Answers with FilteringGET/research-common/api/v1/answers/
Example URI
- id
string(optional)- answerHeaderId
string(optional)- questionId
string(optional)- questionnaireQuestionsId
string(optional)- questionNumber
string(optional)- answerNumber
string(optional)- answer
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"answerHeaderId": "(val)",
"questionId": "(val)",
"questionnaireQuestionsId": "(val)",
"questionNumber": "(val)",
"answerNumber": "(val)",
"answer": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"answerHeaderId": "(val)",
"questionId": "(val)",
"questionnaireQuestionsId": "(val)",
"questionNumber": "(val)",
"answerNumber": "(val)",
"answer": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for AnswersGET/research-common/api/v1/answers/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"answerHeaderId",
"questionId",
"questionnaireQuestionsId",
"questionNumber",
"answerNumber",
"answer"
],
"primaryKey": "id"
}Get Blueprint API specification for AnswersGET/research-common/api/v1/answers/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Answers.md"
transfer-encoding: chunkedUpdate AnswersPUT/research-common/api/v1/answers/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"answerHeaderId": "(val)",
"questionId": "(val)",
"questionnaireQuestionsId": "(val)",
"questionNumber": "(val)",
"answerNumber": "(val)",
"answer": "(val)",
"_primaryKey": "(val)"
}204Update Multiple AnswersPUT/research-common/api/v1/answers/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"answerHeaderId": "(val)",
"questionId": "(val)",
"questionnaireQuestionsId": "(val)",
"questionNumber": "(val)",
"answerNumber": "(val)",
"answer": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"answerHeaderId": "(val)",
"questionId": "(val)",
"questionnaireQuestionsId": "(val)",
"questionNumber": "(val)",
"answerNumber": "(val)",
"answer": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes AnswersPATCH/research-common/api/v1/answers/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"answerHeaderId": "(val)",
"questionId": "(val)",
"questionnaireQuestionsId": "(val)",
"questionNumber": "(val)",
"answerNumber": "(val)",
"answer": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"answerHeaderId": "(val)",
"questionId": "(val)",
"questionnaireQuestionsId": "(val)",
"questionNumber": "(val)",
"answerNumber": "(val)",
"answer": "(val)",
"_primaryKey": "(val)"
}Insert AnswersPOST/research-common/api/v1/answers/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"answerHeaderId": "(val)",
"questionId": "(val)",
"questionnaireQuestionsId": "(val)",
"questionNumber": "(val)",
"answerNumber": "(val)",
"answer": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"answerHeaderId": "(val)",
"questionId": "(val)",
"questionnaireQuestionsId": "(val)",
"questionNumber": "(val)",
"answerNumber": "(val)",
"answer": "(val)",
"_primaryKey": "(val)"
}Insert Multiple AnswersPOST/research-common/api/v1/answers/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"answerHeaderId": "(val)",
"questionId": "(val)",
"questionnaireQuestionsId": "(val)",
"questionNumber": "(val)",
"answerNumber": "(val)",
"answer": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"answerHeaderId": "(val)",
"questionId": "(val)",
"questionnaireQuestionsId": "(val)",
"questionNumber": "(val)",
"answerNumber": "(val)",
"answer": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"answerHeaderId": "(val)",
"questionId": "(val)",
"questionnaireQuestionsId": "(val)",
"questionNumber": "(val)",
"answerNumber": "(val)",
"answer": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"answerHeaderId": "(val)",
"questionId": "(val)",
"questionnaireQuestionsId": "(val)",
"questionNumber": "(val)",
"answerNumber": "(val)",
"answer": "(val)",
"_primaryKey": "(val)"
}
]Delete Answers by KeyDELETE/research-common/api/v1/answers/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All AnswersDELETE/research-common/api/v1/answers/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Answers with MatchingDELETE/research-common/api/v1/answers/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)- answerHeaderId
string(optional)- questionId
string(optional)- questionnaireQuestionsId
string(optional)- questionNumber
string(optional)- answerNumber
string(optional)- answer
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Appointment Types ¶
Get Appointment Types by KeyGET/research-common/api/v1/appointment-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Appointment TypesGET/research-common/api/v1/appointment-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Appointment Types with FilteringGET/research-common/api/v1/appointment-types/
Example URI
- appointmentTypeCode
string(optional)Appointment Type Code. Maximum length is 3.
- duration
string(optional)Duration. Maximum length is 5.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Appointment TypesGET/research-common/api/v1/appointment-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"appointmentTypeCode",
"duration",
"description"
],
"primaryKey": "appointmentTypeCode"
}Get Blueprint API specification for Appointment TypesGET/research-common/api/v1/appointment-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Appointment Types.md"
transfer-encoding: chunkedUpdate Appointment TypesPUT/research-common/api/v1/appointment-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Appointment TypesPUT/research-common/api/v1/appointment-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Appointment TypesPATCH/research-common/api/v1/appointment-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Body
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Appointment TypesPOST/research-common/api/v1/appointment-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}201Body
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Appointment TypesPOST/research-common/api/v1/appointment-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"appointmentTypeCode": "(val)",
"duration": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Appointment Types by KeyDELETE/research-common/api/v1/appointment-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Appointment TypesDELETE/research-common/api/v1/appointment-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Appointment Types with MatchingDELETE/research-common/api/v1/appointment-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- appointmentTypeCode
string(optional)Appointment Type Code. Maximum length is 3.
- duration
string(optional)Duration. Maximum length is 5.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Arg Value Lookups ¶
Get Arg Value Lookups by KeyGET/research-common/api/v1/arg-value-lookups/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"argumentName": "(val)",
"value": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Arg Value LookupsGET/research-common/api/v1/arg-value-lookups/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"argumentName": "(val)",
"value": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"argumentName": "(val)",
"value": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Arg Value Lookups with FilteringGET/research-common/api/v1/arg-value-lookups/
Example URI
- id
string(optional)Arg Value Lookup Id. Maximum length is 12.
- argumentName
string(optional)Argument Name. Maximum length is 30.
- value
string(optional)Value. Maximum length is 200.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"argumentName": "(val)",
"value": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"argumentName": "(val)",
"value": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Arg Value LookupsGET/research-common/api/v1/arg-value-lookups/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"argumentName",
"value",
"description"
],
"primaryKey": "id"
}Get Blueprint API specification for Arg Value LookupsGET/research-common/api/v1/arg-value-lookups/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Arg Value Lookups.md"
transfer-encoding: chunkedUpdate Arg Value LookupsPUT/research-common/api/v1/arg-value-lookups/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"argumentName": "(val)",
"value": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Arg Value LookupsPUT/research-common/api/v1/arg-value-lookups/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"argumentName": "(val)",
"value": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"argumentName": "(val)",
"value": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Arg Value LookupsPATCH/research-common/api/v1/arg-value-lookups/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"argumentName": "(val)",
"value": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"argumentName": "(val)",
"value": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Arg Value LookupsPOST/research-common/api/v1/arg-value-lookups/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"argumentName": "(val)",
"value": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"argumentName": "(val)",
"value": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Arg Value LookupsPOST/research-common/api/v1/arg-value-lookups/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"argumentName": "(val)",
"value": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"argumentName": "(val)",
"value": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"argumentName": "(val)",
"value": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"argumentName": "(val)",
"value": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Arg Value Lookups by KeyDELETE/research-common/api/v1/arg-value-lookups/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Arg Value LookupsDELETE/research-common/api/v1/arg-value-lookups/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Arg Value Lookups with MatchingDELETE/research-common/api/v1/arg-value-lookups/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Arg Value Lookup Id. Maximum length is 12.
- argumentName
string(optional)Argument Name. Maximum length is 30.
- value
string(optional)Value. Maximum length is 200.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Attachment Files ¶
Get Attachment Files by KeyGET/research-common/api/v1/attachment-files/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"sequenceNumber": "(val)",
"name": "(val)",
"type": "(val)",
"data": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}Get All Attachment FilesGET/research-common/api/v1/attachment-files/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"sequenceNumber": "(val)",
"name": "(val)",
"type": "(val)",
"data": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"sequenceNumber": "(val)",
"name": "(val)",
"type": "(val)",
"data": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}
]Get All Attachment Files with FilteringGET/research-common/api/v1/attachment-files/
Example URI
- id
string(optional)Id. Maximum length is 12.
- sequenceNumber
string(optional)- name
string(optional)File Name. Maximum length is 150.
- type
string(optional)Type. Maximum length is 250.
- data
string(optional)- fileDataId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"sequenceNumber": "(val)",
"name": "(val)",
"type": "(val)",
"data": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"sequenceNumber": "(val)",
"name": "(val)",
"type": "(val)",
"data": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Attachment FilesGET/research-common/api/v1/attachment-files/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"sequenceNumber",
"name",
"type",
"data",
"fileDataId"
],
"primaryKey": "id"
}Get Blueprint API specification for Attachment FilesGET/research-common/api/v1/attachment-files/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Attachment Files.md"
transfer-encoding: chunkedUpdate Attachment FilesPUT/research-common/api/v1/attachment-files/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"sequenceNumber": "(val)",
"name": "(val)",
"type": "(val)",
"data": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Attachment FilesPUT/research-common/api/v1/attachment-files/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"sequenceNumber": "(val)",
"name": "(val)",
"type": "(val)",
"data": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"sequenceNumber": "(val)",
"name": "(val)",
"type": "(val)",
"data": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Attachment FilesPATCH/research-common/api/v1/attachment-files/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"sequenceNumber": "(val)",
"name": "(val)",
"type": "(val)",
"data": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"sequenceNumber": "(val)",
"name": "(val)",
"type": "(val)",
"data": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}Insert Attachment FilesPOST/research-common/api/v1/attachment-files/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"sequenceNumber": "(val)",
"name": "(val)",
"type": "(val)",
"data": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"sequenceNumber": "(val)",
"name": "(val)",
"type": "(val)",
"data": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Attachment FilesPOST/research-common/api/v1/attachment-files/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"sequenceNumber": "(val)",
"name": "(val)",
"type": "(val)",
"data": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"sequenceNumber": "(val)",
"name": "(val)",
"type": "(val)",
"data": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"sequenceNumber": "(val)",
"name": "(val)",
"type": "(val)",
"data": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"sequenceNumber": "(val)",
"name": "(val)",
"type": "(val)",
"data": "(val)",
"fileDataId": "(val)",
"_primaryKey": "(val)"
}
]Delete Attachment Files by KeyDELETE/research-common/api/v1/attachment-files/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Attachment FilesDELETE/research-common/api/v1/attachment-files/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Attachment Files with MatchingDELETE/research-common/api/v1/attachment-files/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Id. Maximum length is 12.
- sequenceNumber
string(optional)- name
string(optional)File Name. Maximum length is 150.
- type
string(optional)Type. Maximum length is 250.
- data
string(optional)- fileDataId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Budget Categories ¶
Get Budget Categories by KeyGET/research-common/api/v1/budget-categories/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Budget CategoriesGET/research-common/api/v1/budget-categories/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Categories with FilteringGET/research-common/api/v1/budget-categories/
Example URI
- budgetCategoryTypeCode
string(optional)Category Type. Maximum length is 3.
- code
string(optional)Budget Category Code. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget CategoriesGET/research-common/api/v1/budget-categories/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"budgetCategoryTypeCode",
"code",
"description"
],
"primaryKey": "code"
}Get Blueprint API specification for Budget CategoriesGET/research-common/api/v1/budget-categories/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Categories.md"
transfer-encoding: chunkedUpdate Budget CategoriesPUT/research-common/api/v1/budget-categories/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget CategoriesPUT/research-common/api/v1/budget-categories/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget CategoriesPATCH/research-common/api/v1/budget-categories/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Body
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Budget CategoriesPOST/research-common/api/v1/budget-categories/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}201Body
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget CategoriesPOST/research-common/api/v1/budget-categories/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryTypeCode": "(val)",
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Categories by KeyDELETE/research-common/api/v1/budget-categories/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget CategoriesDELETE/research-common/api/v1/budget-categories/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Categories with MatchingDELETE/research-common/api/v1/budget-categories/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- budgetCategoryTypeCode
string(optional)Category Type. Maximum length is 3.
- code
string(optional)Budget Category Code. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Budget Category Mappings ¶
Get Budget Category Mappings by KeyGET/research-common/api/v1/budget-category-mappings/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}Get All Budget Category MappingsGET/research-common/api/v1/budget-category-mappings/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Category Mappings with FilteringGET/research-common/api/v1/budget-category-mappings/
Example URI
- budgetCategoryCode
string(optional)Budget Category Code. Maximum length is 3.
- mappingName
string(optional)Mapping Name. Maximum length is 100.
- targetCategoryCode
string(optional)Target Category Code. Maximum length is 15.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Category MappingsGET/research-common/api/v1/budget-category-mappings/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"budgetCategoryCode",
"mappingName",
"targetCategoryCode"
],
"primaryKey": "budgetCategoryCode:mappingName:targetCategoryCode"
}Get Blueprint API specification for Budget Category MappingsGET/research-common/api/v1/budget-category-mappings/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Category Mappings.md"
transfer-encoding: chunkedUpdate Budget Category MappingsPUT/research-common/api/v1/budget-category-mappings/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Category MappingsPUT/research-common/api/v1/budget-category-mappings/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Category MappingsPATCH/research-common/api/v1/budget-category-mappings/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}204Body
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}Insert Budget Category MappingsPOST/research-common/api/v1/budget-category-mappings/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}201Body
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Category MappingsPOST/research-common/api/v1/budget-category-mappings/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
},
{
"budgetCategoryCode": "(val)",
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Category Mappings by KeyDELETE/research-common/api/v1/budget-category-mappings/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Category MappingsDELETE/research-common/api/v1/budget-category-mappings/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Category Mappings with MatchingDELETE/research-common/api/v1/budget-category-mappings/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- budgetCategoryCode
string(optional)Budget Category Code. Maximum length is 3.
- mappingName
string(optional)Mapping Name. Maximum length is 100.
- targetCategoryCode
string(optional)Target Category Code. Maximum length is 15.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Budget Category Maps ¶
Get Budget Category Maps by KeyGET/research-common/api/v1/budget-category-maps/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"categoryType": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Budget Category MapsGET/research-common/api/v1/budget-category-maps/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"categoryType": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"categoryType": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Category Maps with FilteringGET/research-common/api/v1/budget-category-maps/
Example URI
- mappingName
string(optional)Mapping Name. Maximum length is 100.
- targetCategoryCode
string(optional)Target Category Code. Maximum length is 15.
- categoryType
string(optional)Category Type. Maximum length is 200.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"categoryType": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"categoryType": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Category MapsGET/research-common/api/v1/budget-category-maps/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"mappingName",
"targetCategoryCode",
"categoryType",
"description"
],
"primaryKey": "mappingName:targetCategoryCode"
}Get Blueprint API specification for Budget Category MapsGET/research-common/api/v1/budget-category-maps/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Category Maps.md"
transfer-encoding: chunkedUpdate Budget Category MapsPUT/research-common/api/v1/budget-category-maps/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"categoryType": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Category MapsPUT/research-common/api/v1/budget-category-maps/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"categoryType": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"categoryType": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Category MapsPATCH/research-common/api/v1/budget-category-maps/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"categoryType": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Body
{
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"categoryType": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Budget Category MapsPOST/research-common/api/v1/budget-category-maps/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"categoryType": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}201Body
{
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"categoryType": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Category MapsPOST/research-common/api/v1/budget-category-maps/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"categoryType": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"categoryType": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"categoryType": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"mappingName": "(val)",
"targetCategoryCode": "(val)",
"categoryType": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Category Maps by KeyDELETE/research-common/api/v1/budget-category-maps/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Category MapsDELETE/research-common/api/v1/budget-category-maps/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Category Maps with MatchingDELETE/research-common/api/v1/budget-category-maps/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- mappingName
string(optional)Mapping Name. Maximum length is 100.
- targetCategoryCode
string(optional)Target Category Code. Maximum length is 15.
- categoryType
string(optional)Category Type. Maximum length is 200.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Budget Category Types ¶
Get Budget Category Types by KeyGET/research-common/api/v1/budget-category-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}Get All Budget Category TypesGET/research-common/api/v1/budget-category-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Category Types with FilteringGET/research-common/api/v1/budget-category-types/
Example URI
- code
string(optional)Budget Category Type. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
- sortId
string(optional)This sort id is used for sorting budget category. Maximum length is 2.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Category TypesGET/research-common/api/v1/budget-category-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"code",
"description",
"sortId"
],
"primaryKey": "code"
}Get Blueprint API specification for Budget Category TypesGET/research-common/api/v1/budget-category-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Category Types.md"
transfer-encoding: chunkedUpdate Budget Category TypesPUT/research-common/api/v1/budget-category-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Category TypesPUT/research-common/api/v1/budget-category-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Category TypesPATCH/research-common/api/v1/budget-category-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}Insert Budget Category TypesPOST/research-common/api/v1/budget-category-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}201Body
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Category TypesPOST/research-common/api/v1/budget-category-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Category Types by KeyDELETE/research-common/api/v1/budget-category-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Category TypesDELETE/research-common/api/v1/budget-category-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Category Types with MatchingDELETE/research-common/api/v1/budget-category-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- code
string(optional)Budget Category Type. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
- sortId
string(optional)This sort id is used for sorting budget category. Maximum length is 2.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Budget Formulated Cost Details ¶
Get Budget Formulated Cost Details by KeyGET/research-common/api/v1/budget-formulated-cost-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}Get All Budget Formulated Cost DetailsGET/research-common/api/v1/budget-formulated-cost-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
},
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Formulated Cost Details with FilteringGET/research-common/api/v1/budget-formulated-cost-details/
Example URI
- budgetFormulatedCostDetailId
string(optional)Budget Formulated Cost Detail Id. Maximum length is 22.
- formulatedNumber
string(optional)Formulated Number. Maximum length is 22.
- formulatedTypeCode
string(optional)Formulated Type. Maximum length is 50.
- unitCost
string(optional)Unit Cost. Maximum length is 15.
- count
string(optional)Count. Maximum length is 5.
- frequency
string(optional)Frequency. Maximum length is 5.
- calculatedExpenses
string(optional)Calculated Expenses. Maximum length is 15.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
},
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Formulated Cost DetailsGET/research-common/api/v1/budget-formulated-cost-details/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"budgetFormulatedCostDetailId",
"formulatedNumber",
"formulatedTypeCode",
"unitCost",
"count",
"frequency",
"calculatedExpenses"
],
"primaryKey": "budgetFormulatedCostDetailId"
}Get Blueprint API specification for Budget Formulated Cost DetailsGET/research-common/api/v1/budget-formulated-cost-details/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Formulated Cost Details.md"
transfer-encoding: chunkedUpdate Budget Formulated Cost DetailsPUT/research-common/api/v1/budget-formulated-cost-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Formulated Cost DetailsPUT/research-common/api/v1/budget-formulated-cost-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
},
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Formulated Cost DetailsPATCH/research-common/api/v1/budget-formulated-cost-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}204Body
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}Insert Budget Formulated Cost DetailsPOST/research-common/api/v1/budget-formulated-cost-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}201Body
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Formulated Cost DetailsPOST/research-common/api/v1/budget-formulated-cost-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
},
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
},
{
"budgetFormulatedCostDetailId": "(val)",
"formulatedNumber": "(val)",
"formulatedTypeCode": "(val)",
"unitCost": "(val)",
"count": "(val)",
"frequency": "(val)",
"calculatedExpenses": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Formulated Cost Details by KeyDELETE/research-common/api/v1/budget-formulated-cost-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Formulated Cost DetailsDELETE/research-common/api/v1/budget-formulated-cost-details/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Formulated Cost Details with MatchingDELETE/research-common/api/v1/budget-formulated-cost-details/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- budgetFormulatedCostDetailId
string(optional)Budget Formulated Cost Detail Id. Maximum length is 22.
- formulatedNumber
string(optional)Formulated Number. Maximum length is 22.
- formulatedTypeCode
string(optional)Formulated Type. Maximum length is 50.
- unitCost
string(optional)Unit Cost. Maximum length is 15.
- count
string(optional)Count. Maximum length is 5.
- frequency
string(optional)Frequency. Maximum length is 5.
- calculatedExpenses
string(optional)Calculated Expenses. Maximum length is 15.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Budget La Rates ¶
Get Budget La Rates by KeyGET/research-common/api/v1/budget-la-rates/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"applicableRate": "(val)",
"instituteRate": "(val)",
"onOffCampusFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"rateClassCode": "(val)",
"fiscalYear": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
}Get All Budget La RatesGET/research-common/api/v1/budget-la-rates/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"applicableRate": "(val)",
"instituteRate": "(val)",
"onOffCampusFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"rateClassCode": "(val)",
"fiscalYear": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
},
{
"applicableRate": "(val)",
"instituteRate": "(val)",
"onOffCampusFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"rateClassCode": "(val)",
"fiscalYear": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget La Rates with FilteringGET/research-common/api/v1/budget-la-rates/
Example URI
- applicableRate
string(optional)- instituteRate
string(optional)- onOffCampusFlag
string(optional)- rateTypeCode
string(optional)- budgetId
string(optional)- rateClassCode
string(optional)- fiscalYear
string(optional)- startDate
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"applicableRate": "(val)",
"instituteRate": "(val)",
"onOffCampusFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"rateClassCode": "(val)",
"fiscalYear": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
},
{
"applicableRate": "(val)",
"instituteRate": "(val)",
"onOffCampusFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"rateClassCode": "(val)",
"fiscalYear": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget La RatesGET/research-common/api/v1/budget-la-rates/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"applicableRate",
"instituteRate",
"onOffCampusFlag",
"rateTypeCode",
"budgetId",
"rateClassCode",
"fiscalYear",
"startDate"
],
"primaryKey": "budget:budgetId"
}Get Blueprint API specification for Budget La RatesGET/research-common/api/v1/budget-la-rates/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget La Rates.md"
transfer-encoding: chunkedBudget Line Item Calculated Amounts ¶
Get Budget Line Item Calculated Amounts by KeyGET/research-common/api/v1/budget-line-item-calculated-amounts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"budgetLineItemCalculatedAmountId": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"rateTypeDescription": "(val)",
"applyRateFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"calculatedCost": "(val)",
"rateClassCode": "(val)",
"calculatedCostSharing": "(val)",
"lineItemNumber": "(val)",
"_primaryKey": "(val)"
}Get All Budget Line Item Calculated AmountsGET/research-common/api/v1/budget-line-item-calculated-amounts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"budgetLineItemCalculatedAmountId": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"rateTypeDescription": "(val)",
"applyRateFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"calculatedCost": "(val)",
"rateClassCode": "(val)",
"calculatedCostSharing": "(val)",
"lineItemNumber": "(val)",
"_primaryKey": "(val)"
},
{
"budgetLineItemCalculatedAmountId": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"rateTypeDescription": "(val)",
"applyRateFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"calculatedCost": "(val)",
"rateClassCode": "(val)",
"calculatedCostSharing": "(val)",
"lineItemNumber": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Line Item Calculated Amounts with FilteringGET/research-common/api/v1/budget-line-item-calculated-amounts/
Example URI
- budgetLineItemCalculatedAmountId
string(optional)Budget Line Item Calculated Amount Id.
- budgetLineItemId
string(optional)Budget Line Item Id.
- budgetPeriodId
string(optional)Budget Period Id.
- rateTypeDescription
string(optional)Rate Type Description.
- applyRateFlag
string(optional)Apply Rate?. Maximum length is 1.
- rateTypeCode
string(optional)Rate Type. Maximum length is 3.
- budgetId
string(optional)Budget Id.
- budgetPeriod
string(optional)Budget Period. Maximum length is 3.
- calculatedCost
string(optional)Rate Cost. Maximum length is 15.
- rateClassCode
string(optional)Rate Class. Maximum length is 3.
- calculatedCostSharing
string(optional)Rate Cost Sharing. Maximum length is 15.
- lineItemNumber
string(optional)Line Item Number. Maximum length is 6.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"budgetLineItemCalculatedAmountId": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"rateTypeDescription": "(val)",
"applyRateFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"calculatedCost": "(val)",
"rateClassCode": "(val)",
"calculatedCostSharing": "(val)",
"lineItemNumber": "(val)",
"_primaryKey": "(val)"
},
{
"budgetLineItemCalculatedAmountId": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"rateTypeDescription": "(val)",
"applyRateFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"calculatedCost": "(val)",
"rateClassCode": "(val)",
"calculatedCostSharing": "(val)",
"lineItemNumber": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Line Item Calculated AmountsGET/research-common/api/v1/budget-line-item-calculated-amounts/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"budgetLineItemCalculatedAmountId",
"budgetLineItemId",
"budgetPeriodId",
"rateTypeDescription",
"applyRateFlag",
"rateTypeCode",
"budgetId",
"budgetPeriod",
"calculatedCost",
"rateClassCode",
"calculatedCostSharing",
"lineItemNumber"
],
"primaryKey": "budgetLineItemCalculatedAmountId"
}Get Blueprint API specification for Budget Line Item Calculated AmountsGET/research-common/api/v1/budget-line-item-calculated-amounts/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Line Item Calculated Amounts.md"
transfer-encoding: chunkedUpdate Budget Line Item Calculated AmountsPUT/research-common/api/v1/budget-line-item-calculated-amounts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetLineItemCalculatedAmountId": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"rateTypeDescription": "(val)",
"applyRateFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"calculatedCost": "(val)",
"rateClassCode": "(val)",
"calculatedCostSharing": "(val)",
"lineItemNumber": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Line Item Calculated AmountsPUT/research-common/api/v1/budget-line-item-calculated-amounts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetLineItemCalculatedAmountId": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"rateTypeDescription": "(val)",
"applyRateFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"calculatedCost": "(val)",
"rateClassCode": "(val)",
"calculatedCostSharing": "(val)",
"lineItemNumber": "(val)",
"_primaryKey": "(val)"
},
{
"budgetLineItemCalculatedAmountId": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"rateTypeDescription": "(val)",
"applyRateFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"calculatedCost": "(val)",
"rateClassCode": "(val)",
"calculatedCostSharing": "(val)",
"lineItemNumber": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Line Item Calculated AmountsPATCH/research-common/api/v1/budget-line-item-calculated-amounts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetLineItemCalculatedAmountId": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"rateTypeDescription": "(val)",
"applyRateFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"calculatedCost": "(val)",
"rateClassCode": "(val)",
"calculatedCostSharing": "(val)",
"lineItemNumber": "(val)",
"_primaryKey": "(val)"
}204Body
{
"budgetLineItemCalculatedAmountId": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"rateTypeDescription": "(val)",
"applyRateFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"calculatedCost": "(val)",
"rateClassCode": "(val)",
"calculatedCostSharing": "(val)",
"lineItemNumber": "(val)",
"_primaryKey": "(val)"
}Insert Budget Line Item Calculated AmountsPOST/research-common/api/v1/budget-line-item-calculated-amounts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetLineItemCalculatedAmountId": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"rateTypeDescription": "(val)",
"applyRateFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"calculatedCost": "(val)",
"rateClassCode": "(val)",
"calculatedCostSharing": "(val)",
"lineItemNumber": "(val)",
"_primaryKey": "(val)"
}201Body
{
"budgetLineItemCalculatedAmountId": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"rateTypeDescription": "(val)",
"applyRateFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"calculatedCost": "(val)",
"rateClassCode": "(val)",
"calculatedCostSharing": "(val)",
"lineItemNumber": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Line Item Calculated AmountsPOST/research-common/api/v1/budget-line-item-calculated-amounts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetLineItemCalculatedAmountId": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"rateTypeDescription": "(val)",
"applyRateFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"calculatedCost": "(val)",
"rateClassCode": "(val)",
"calculatedCostSharing": "(val)",
"lineItemNumber": "(val)",
"_primaryKey": "(val)"
},
{
"budgetLineItemCalculatedAmountId": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"rateTypeDescription": "(val)",
"applyRateFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"calculatedCost": "(val)",
"rateClassCode": "(val)",
"calculatedCostSharing": "(val)",
"lineItemNumber": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"budgetLineItemCalculatedAmountId": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"rateTypeDescription": "(val)",
"applyRateFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"calculatedCost": "(val)",
"rateClassCode": "(val)",
"calculatedCostSharing": "(val)",
"lineItemNumber": "(val)",
"_primaryKey": "(val)"
},
{
"budgetLineItemCalculatedAmountId": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"rateTypeDescription": "(val)",
"applyRateFlag": "(val)",
"rateTypeCode": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"calculatedCost": "(val)",
"rateClassCode": "(val)",
"calculatedCostSharing": "(val)",
"lineItemNumber": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Line Item Calculated Amounts by KeyDELETE/research-common/api/v1/budget-line-item-calculated-amounts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Line Item Calculated AmountsDELETE/research-common/api/v1/budget-line-item-calculated-amounts/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Line Item Calculated Amounts with MatchingDELETE/research-common/api/v1/budget-line-item-calculated-amounts/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- budgetLineItemCalculatedAmountId
string(optional)Budget Line Item Calculated Amount Id.
- budgetLineItemId
string(optional)Budget Line Item Id.
- budgetPeriodId
string(optional)Budget Period Id.
- rateTypeDescription
string(optional)Rate Type Description.
- applyRateFlag
string(optional)Apply Rate?. Maximum length is 1.
- rateTypeCode
string(optional)Rate Type. Maximum length is 3.
- budgetId
string(optional)Budget Id.
- budgetPeriod
string(optional)Budget Period. Maximum length is 3.
- calculatedCost
string(optional)Rate Cost. Maximum length is 15.
- rateClassCode
string(optional)Rate Class. Maximum length is 3.
- calculatedCostSharing
string(optional)Rate Cost Sharing. Maximum length is 15.
- lineItemNumber
string(optional)Line Item Number. Maximum length is 6.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Budget Line Items ¶
Get Budget Line Items by KeyGET/research-common/api/v1/budget-line-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"costSharingAmount": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"lineItemNumber": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"applyInRateFlag": "(val)",
"basedOnLineItem": "(val)",
"budgetCategoryCode": "(val)",
"budgetJustification": "(val)",
"costElement": "(val)",
"groupName": "(val)",
"endDate": "(val)",
"lineItemCost": "(val)",
"lineItemDescription": "(val)",
"lineItemSequence": "(val)",
"onOffCampusFlag": "(val)",
"quantity": "(val)",
"startDate": "(val)",
"underrecoveryAmount": "(val)",
"submitCostSharingFlag": "(val)",
"formulatedCostElementFlag": "(val)",
"subAwardNumber": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}Get All Budget Line ItemsGET/research-common/api/v1/budget-line-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"costSharingAmount": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"lineItemNumber": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"applyInRateFlag": "(val)",
"basedOnLineItem": "(val)",
"budgetCategoryCode": "(val)",
"budgetJustification": "(val)",
"costElement": "(val)",
"groupName": "(val)",
"endDate": "(val)",
"lineItemCost": "(val)",
"lineItemDescription": "(val)",
"lineItemSequence": "(val)",
"onOffCampusFlag": "(val)",
"quantity": "(val)",
"startDate": "(val)",
"underrecoveryAmount": "(val)",
"submitCostSharingFlag": "(val)",
"formulatedCostElementFlag": "(val)",
"subAwardNumber": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
},
{
"costSharingAmount": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"lineItemNumber": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"applyInRateFlag": "(val)",
"basedOnLineItem": "(val)",
"budgetCategoryCode": "(val)",
"budgetJustification": "(val)",
"costElement": "(val)",
"groupName": "(val)",
"endDate": "(val)",
"lineItemCost": "(val)",
"lineItemDescription": "(val)",
"lineItemSequence": "(val)",
"onOffCampusFlag": "(val)",
"quantity": "(val)",
"startDate": "(val)",
"underrecoveryAmount": "(val)",
"submitCostSharingFlag": "(val)",
"formulatedCostElementFlag": "(val)",
"subAwardNumber": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Line Items with FilteringGET/research-common/api/v1/budget-line-items/
Example URI
- costSharingAmount
string(optional)Cost Sharing. Maximum length is 15.
- budgetLineItemId
string(optional)Budget Line Item Id.
- budgetPeriodId
string(optional)Budget Period Id. Maximum length is 3.
- lineItemNumber
string(optional)Line Item Number. Maximum length is 6.
- budgetId
string(optional)Budget Id.
- budgetPeriod
string(optional)Budget Period. Maximum length is 3.
- applyInRateFlag
string(optional)Apply Inflation?. Maximum length is 1.
- basedOnLineItem
string(optional)Based On Line Item. Maximum length is 6.
- budgetCategoryCode
string(optional)Budget Category. Maximum length is 3.
- budgetJustification
string(optional)Budget Justification Notes. Maximum length is 200.
- costElement
string(optional)Object Code Name. Maximum length is 8.
- groupName
string(optional)Group. Maximum length is 80.
- endDate
string(optional)End Date. Maximum length is 21.
- lineItemCost
string(optional)Total Base Cost. Maximum length is 15.
- lineItemDescription
string(optional)Description. Maximum length is 80.
- lineItemSequence
string(optional)Line Item Sequence. Maximum length is 6.
- onOffCampusFlag
string(optional)On CampusContract?. Maximum length is 1.
- quantity
string(optional)Quantity. Maximum length is 4.
- startDate
string(optional)Start Date. Maximum length is 21.
- underrecoveryAmount
string(optional)Unrecovered F&A. Maximum length is 15.
- submitCostSharingFlag
string(optional)Submit Cost Sharing Flag. Maximum length is 1.
- formulatedCostElementFlag
string(optional)Formulated Cost Element Flag.
- subAwardNumber
string(optional)Sub Award Number.
- hierarchyProposalNumber
string(optional)Hierarchy Proposal Number.
- hiddenInHierarchy
string(optional)Hidden In Hierarchy.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"costSharingAmount": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"lineItemNumber": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"applyInRateFlag": "(val)",
"basedOnLineItem": "(val)",
"budgetCategoryCode": "(val)",
"budgetJustification": "(val)",
"costElement": "(val)",
"groupName": "(val)",
"endDate": "(val)",
"lineItemCost": "(val)",
"lineItemDescription": "(val)",
"lineItemSequence": "(val)",
"onOffCampusFlag": "(val)",
"quantity": "(val)",
"startDate": "(val)",
"underrecoveryAmount": "(val)",
"submitCostSharingFlag": "(val)",
"formulatedCostElementFlag": "(val)",
"subAwardNumber": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
},
{
"costSharingAmount": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"lineItemNumber": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"applyInRateFlag": "(val)",
"basedOnLineItem": "(val)",
"budgetCategoryCode": "(val)",
"budgetJustification": "(val)",
"costElement": "(val)",
"groupName": "(val)",
"endDate": "(val)",
"lineItemCost": "(val)",
"lineItemDescription": "(val)",
"lineItemSequence": "(val)",
"onOffCampusFlag": "(val)",
"quantity": "(val)",
"startDate": "(val)",
"underrecoveryAmount": "(val)",
"submitCostSharingFlag": "(val)",
"formulatedCostElementFlag": "(val)",
"subAwardNumber": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Line ItemsGET/research-common/api/v1/budget-line-items/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"costSharingAmount",
"budgetLineItemId",
"budgetPeriodId",
"lineItemNumber",
"budgetId",
"budgetPeriod",
"applyInRateFlag",
"basedOnLineItem",
"budgetCategoryCode",
"budgetJustification",
"costElement",
"groupName",
"endDate",
"lineItemCost",
"lineItemDescription",
"lineItemSequence",
"onOffCampusFlag",
"quantity",
"startDate",
"underrecoveryAmount",
"submitCostSharingFlag",
"formulatedCostElementFlag",
"subAwardNumber",
"hierarchyProposalNumber",
"hiddenInHierarchy"
],
"primaryKey": "budgetLineItemId"
}Get Blueprint API specification for Budget Line ItemsGET/research-common/api/v1/budget-line-items/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Line Items.md"
transfer-encoding: chunkedUpdate Budget Line ItemsPUT/research-common/api/v1/budget-line-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"costSharingAmount": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"lineItemNumber": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"applyInRateFlag": "(val)",
"basedOnLineItem": "(val)",
"budgetCategoryCode": "(val)",
"budgetJustification": "(val)",
"costElement": "(val)",
"groupName": "(val)",
"endDate": "(val)",
"lineItemCost": "(val)",
"lineItemDescription": "(val)",
"lineItemSequence": "(val)",
"onOffCampusFlag": "(val)",
"quantity": "(val)",
"startDate": "(val)",
"underrecoveryAmount": "(val)",
"submitCostSharingFlag": "(val)",
"formulatedCostElementFlag": "(val)",
"subAwardNumber": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Line ItemsPUT/research-common/api/v1/budget-line-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"costSharingAmount": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"lineItemNumber": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"applyInRateFlag": "(val)",
"basedOnLineItem": "(val)",
"budgetCategoryCode": "(val)",
"budgetJustification": "(val)",
"costElement": "(val)",
"groupName": "(val)",
"endDate": "(val)",
"lineItemCost": "(val)",
"lineItemDescription": "(val)",
"lineItemSequence": "(val)",
"onOffCampusFlag": "(val)",
"quantity": "(val)",
"startDate": "(val)",
"underrecoveryAmount": "(val)",
"submitCostSharingFlag": "(val)",
"formulatedCostElementFlag": "(val)",
"subAwardNumber": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
},
{
"costSharingAmount": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"lineItemNumber": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"applyInRateFlag": "(val)",
"basedOnLineItem": "(val)",
"budgetCategoryCode": "(val)",
"budgetJustification": "(val)",
"costElement": "(val)",
"groupName": "(val)",
"endDate": "(val)",
"lineItemCost": "(val)",
"lineItemDescription": "(val)",
"lineItemSequence": "(val)",
"onOffCampusFlag": "(val)",
"quantity": "(val)",
"startDate": "(val)",
"underrecoveryAmount": "(val)",
"submitCostSharingFlag": "(val)",
"formulatedCostElementFlag": "(val)",
"subAwardNumber": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Line ItemsPATCH/research-common/api/v1/budget-line-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"costSharingAmount": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"lineItemNumber": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"applyInRateFlag": "(val)",
"basedOnLineItem": "(val)",
"budgetCategoryCode": "(val)",
"budgetJustification": "(val)",
"costElement": "(val)",
"groupName": "(val)",
"endDate": "(val)",
"lineItemCost": "(val)",
"lineItemDescription": "(val)",
"lineItemSequence": "(val)",
"onOffCampusFlag": "(val)",
"quantity": "(val)",
"startDate": "(val)",
"underrecoveryAmount": "(val)",
"submitCostSharingFlag": "(val)",
"formulatedCostElementFlag": "(val)",
"subAwardNumber": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}204Body
{
"costSharingAmount": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"lineItemNumber": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"applyInRateFlag": "(val)",
"basedOnLineItem": "(val)",
"budgetCategoryCode": "(val)",
"budgetJustification": "(val)",
"costElement": "(val)",
"groupName": "(val)",
"endDate": "(val)",
"lineItemCost": "(val)",
"lineItemDescription": "(val)",
"lineItemSequence": "(val)",
"onOffCampusFlag": "(val)",
"quantity": "(val)",
"startDate": "(val)",
"underrecoveryAmount": "(val)",
"submitCostSharingFlag": "(val)",
"formulatedCostElementFlag": "(val)",
"subAwardNumber": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}Insert Budget Line ItemsPOST/research-common/api/v1/budget-line-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"costSharingAmount": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"lineItemNumber": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"applyInRateFlag": "(val)",
"basedOnLineItem": "(val)",
"budgetCategoryCode": "(val)",
"budgetJustification": "(val)",
"costElement": "(val)",
"groupName": "(val)",
"endDate": "(val)",
"lineItemCost": "(val)",
"lineItemDescription": "(val)",
"lineItemSequence": "(val)",
"onOffCampusFlag": "(val)",
"quantity": "(val)",
"startDate": "(val)",
"underrecoveryAmount": "(val)",
"submitCostSharingFlag": "(val)",
"formulatedCostElementFlag": "(val)",
"subAwardNumber": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}201Body
{
"costSharingAmount": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"lineItemNumber": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"applyInRateFlag": "(val)",
"basedOnLineItem": "(val)",
"budgetCategoryCode": "(val)",
"budgetJustification": "(val)",
"costElement": "(val)",
"groupName": "(val)",
"endDate": "(val)",
"lineItemCost": "(val)",
"lineItemDescription": "(val)",
"lineItemSequence": "(val)",
"onOffCampusFlag": "(val)",
"quantity": "(val)",
"startDate": "(val)",
"underrecoveryAmount": "(val)",
"submitCostSharingFlag": "(val)",
"formulatedCostElementFlag": "(val)",
"subAwardNumber": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Line ItemsPOST/research-common/api/v1/budget-line-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"costSharingAmount": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"lineItemNumber": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"applyInRateFlag": "(val)",
"basedOnLineItem": "(val)",
"budgetCategoryCode": "(val)",
"budgetJustification": "(val)",
"costElement": "(val)",
"groupName": "(val)",
"endDate": "(val)",
"lineItemCost": "(val)",
"lineItemDescription": "(val)",
"lineItemSequence": "(val)",
"onOffCampusFlag": "(val)",
"quantity": "(val)",
"startDate": "(val)",
"underrecoveryAmount": "(val)",
"submitCostSharingFlag": "(val)",
"formulatedCostElementFlag": "(val)",
"subAwardNumber": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
},
{
"costSharingAmount": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"lineItemNumber": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"applyInRateFlag": "(val)",
"basedOnLineItem": "(val)",
"budgetCategoryCode": "(val)",
"budgetJustification": "(val)",
"costElement": "(val)",
"groupName": "(val)",
"endDate": "(val)",
"lineItemCost": "(val)",
"lineItemDescription": "(val)",
"lineItemSequence": "(val)",
"onOffCampusFlag": "(val)",
"quantity": "(val)",
"startDate": "(val)",
"underrecoveryAmount": "(val)",
"submitCostSharingFlag": "(val)",
"formulatedCostElementFlag": "(val)",
"subAwardNumber": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"costSharingAmount": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"lineItemNumber": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"applyInRateFlag": "(val)",
"basedOnLineItem": "(val)",
"budgetCategoryCode": "(val)",
"budgetJustification": "(val)",
"costElement": "(val)",
"groupName": "(val)",
"endDate": "(val)",
"lineItemCost": "(val)",
"lineItemDescription": "(val)",
"lineItemSequence": "(val)",
"onOffCampusFlag": "(val)",
"quantity": "(val)",
"startDate": "(val)",
"underrecoveryAmount": "(val)",
"submitCostSharingFlag": "(val)",
"formulatedCostElementFlag": "(val)",
"subAwardNumber": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
},
{
"costSharingAmount": "(val)",
"budgetLineItemId": "(val)",
"budgetPeriodId": "(val)",
"lineItemNumber": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"applyInRateFlag": "(val)",
"basedOnLineItem": "(val)",
"budgetCategoryCode": "(val)",
"budgetJustification": "(val)",
"costElement": "(val)",
"groupName": "(val)",
"endDate": "(val)",
"lineItemCost": "(val)",
"lineItemDescription": "(val)",
"lineItemSequence": "(val)",
"onOffCampusFlag": "(val)",
"quantity": "(val)",
"startDate": "(val)",
"underrecoveryAmount": "(val)",
"submitCostSharingFlag": "(val)",
"formulatedCostElementFlag": "(val)",
"subAwardNumber": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Line Items by KeyDELETE/research-common/api/v1/budget-line-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
[...]
